// testure added for the fix
textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/base_trim/wires02
{
    cull disable
    surfaceparm alphashadow
    surfaceparm trans	
        {
                map textures/base_trim/wires02.tga
                alphaFunc GE128
		depthWrite
		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendFunc filter
		depthFunc equal
	}
}

textures/urban_terror6/flare001
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		clampmap textures/urban_terror6/flare001.jpg
		blendFunc GL_ONE GL_ONE
	}
}

// Texture and script by BBQ/////////////////////////////////////////

textures/bbq/barbedwire2
{
	qer_editor_image textures/bbq/barbedwire2.tga
	cull disable
	surfaceParm nolightmap
	surfaceParm noimpact
	surfaceParm nonsolid

	{
		map textures/bbq/barbedwire2.tga
		alphaFunc GE128
	}
}
/////////////////////////////////////////////////////////////////////

//UT_competition scripts

textures/ds_text/windowsand
{
qer_editorimage textures/ds_text/windowsand.tga
cull none
	{
		map textures/effects/tinfxb.tga
		blendFunc GL_ONE GL_ONE
		tcgen environment
	}
	{
		map textures/ds_text/windowsand.tga
		alphaFunc GE128
	}
	
	{
		//map $lightmap rgbGen identity blendFunc filter
		map $lightmap 
		rgbGen identity 
		blendFunc filter
	}
}

textures/ds_text/spiderweb
{
	qer_editorimage textures/ds_text/spiderweb.tga
      surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
      //nopicmip
	deformVertexes wave 30 sin 0 1.5 0 .2	
	deformVertexes wave 100 sin 0 2 0 .4
	deformVertexes normal .5 .1

	{
		map textures/ds_text/spiderweb.tga
            blendFunc add
      }
 
}	
	
textures/ds_text/flagds
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 1.5 0 .2	
	deformVertexes wave 194 sin 0 1.5 0 .4
      deformVertexes normal .5 .1


	{
		map textures/ds_text/flagds.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
textures/ds_text/flagds2
{
	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	deformVertexes wave 30 sin 0 1.5 0 .2	
	deformVertexes wave 194 sin 0 1.5 0 .4
      deformVertexes normal .5 .1


	{
		map textures/ds_text/flagds2.tga
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}

	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ds_text/gate-01
{   
   
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen vertex
	}  
        {
		map textures/ds_text/gate-01.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
         
}

textures/ds_text/lightbeam
{
	qer_editorimage ds_text/lightbeam.tga
      surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	surfaceparm nomipmaps
        
	{
		map textures/ds_text/lightbeam.tga
            blendFunc add
      }
 
}

textures/ds_text/cross
{
	qer_editorimage textures/ds_text/cross.tga
      surfaceparm trans	
      surfaceparm nomarks	
      surfaceparm nonsolid
      surfaceparm nolightmap
      cull none
      surfaceparm nomipmaps
      //nopicmip
	
	{
            map textures/ds_text/cross.tga
            blendFunc add
      }
 
}	

///////////////////////////////////////////////////////////
//Shader for some Wolfenstein Textures
///////////////////////////////////////////////////////////
textures/RtCWdemo/fence_c10
{
	qer_editorimage textures/RtCWdemo/fence_c10.tga
	cull none

	
	
	{
		map textures/RtCWdemo/fence_c10.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/RtCWdemo/rebar_m01
{
	qer_editorimage textures/RtCWdemo/rebar_m01.tga
	cull none

	
	
	{
		map textures/RtCWdemo/rebar_m01.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/RtCWdemo/mesh_c03
{
	qer_editorimage textures/RtCWdemo/mesh_c03.tga
	cull none

	
	
	{
		map textures/RtCWdemo/mesh_c03.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}


	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}
////////////////////////////////////////////////////////////////

// original from Sock for mudriver.shader //////////////////////

textures/ds_text/skyvalley  
{
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun 1 1 .8 6 180 60
	q3map_surfacelight 20
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/arcn 256 -
}

///////////////////////////////////////////////////////////////



